com.informix.util

## Class JdbcLogFormatter

- java.lang.Object
- - java.util.logging.Formatter
  - - com.informix.util.JdbcLogFormatter

Direct Known Subclasses:
  JdbcLegacyLogFormatter

    public class JdbcLogFormatter
    extends java.util.logging.Formatter

### Field Summary

Fields
`protected java.lang.ThreadLocal<java.text.SimpleDateFormat>` `dateFormat`
`protected static java.lang.String` `format`

### Constructor Summary

Constructors
Constructor and Description
`JdbcLogFormatter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `format(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### format

    protected static final java.lang.String format

See Also:
  Constant Field Values

#### dateFormat

    protected final java.lang.ThreadLocal<java.text.SimpleDateFormat> dateFormat

### Constructor Detail

#### JdbcLogFormatter

    public JdbcLogFormatter()

### Method Detail

#### format

    public java.lang.String format(java.util.logging.LogRecord record)

Specified by:
  `format` in class `java.util.logging.Formatter`